---
title: NodeIterator.referenceNode
slug: Web/API/NodeIterator/referenceNode
tags:
  - API
  - DOM
  - Experimental
  - Expérimental(2)
  - NodeIterator
  - Property
---
<p>{{APIRef("DOM")}}{{ SeeCompatTable }}</p>

<p>The <strong><code>NodeIterator.referenceNode</code></strong> read-only returns the {{domxref("Node")}} to which the iterator is anchored; as new nodes are inserted, the iterator remains anchored to the reference node as specified by this property.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>node</em> = <em>nodeIterator</em>.referenceNode;
</pre>

<h2 id="Example">Example</h2>

<pre class="brush: js">var nodeIterator = document.createNodeIterator(
    document.body,
    NodeFilter.SHOW_ELEMENT,
    { acceptNode: function(node) { return NodeFilter.FILTER_ACCEPT; } },
    false
);
node = nodeIterator.referenceNode;
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
	<tbody>
		<tr>
			<th scope="col">Specification</th>
			<th scope="col">Status</th>
			<th scope="col">Comment</th>
		</tr>
		<tr>
			<td>{{SpecName('DOM WHATWG', '#dom-nodeiterator-referencenode', 'NodeIterator.referenceNode')}}</td>
			<td>{{Spec2('DOM WHATWG')}}</td>
			<td>Initial definition.</td>
		</tr>
	</tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.NodeIterator.referenceNode")}}</p>

<h2 id="See_also">See also</h2>

<ul>
	<li>The interface it belongs to: {{domxref("NodeIterator")}}</li>
</ul>
